com.sun.source.tree

## Interface AnnotatedTypeTree

All Superinterfaces:
  ExpressionTree, Tree

    @Exported
    public interface AnnotatedTypeTree
    extends ExpressionTree

A tree node for an annotated type For example:

         @annotationType String
         @annotationType ( arguments ) Date

Since:
  1.8
See Also:
  "JSR 308: Annotations on Java Types"

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`List<? extends AnnotationTree>` `getAnnotations()`
`ExpressionTree` `getUnderlyingType()`

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getAnnotations

    List<? extends AnnotationTree> getAnnotations()

#### getUnderlyingType

    ExpressionTree getUnderlyingType()